package gov.va.cpss.dao;

import gov.va.cpss.model.cbs.CBSSitePatient;

public interface CBSSitePatientDAO {

	/**
	 * Save the specified CBSSitePatient to the database.
	 * 
	 * @param patient
	 *            The patient to save. The id, createdBy, createdDate,
	 *            modifiedBy and modifiedDate properties will be updated to
	 *            match the database state after the insert.
	 * @return Auto-generated index ID of the entry in the database.
	 */
	public long save(CBSSitePatient patient);

	/**
	 * Get CBSSitePatient with the given id
	 * 
	 * @param id
	 *            id of the CBSSitePatient to get
	 * @return CBSSitePatient with given id
	 */
	CBSSitePatient get(long id);

	/**
	 * Batch update
	 * 
	 * @param inNewICNs
	 * @param inOldICNs
	 * @return numbers of updates
	 */
	public int[] batchUpdate(final String[] inNewICNs, final String[] inOldICNs);
}
