package gov.va.cpss.dao.impl;

import java.util.List;

import org.apache.log4j.Logger;
import org.springframework.batch.core.resource.ListPreparedStatementSetter;

/**
 * 
 * Set the messageId for the query in the ItemReader of the loadCBSDataToMemory step
 * 
 * @author Brad Pickle
 *
 */
public class SendCBSPreparedStatementSetter extends ListPreparedStatementSetter {
	
	private final Logger logger;

	public SendCBSPreparedStatementSetter() {
        logger = Logger.getLogger(this.getClass().getCanonicalName());
	}
	
    @Override
	public void setParameters(List<?> parameters) {
    	for (Object item : parameters) {
    		logger.debug((item == null) ? "null" : item.toString());
    	}
		super.setParameters(parameters);
		
	}

}
