package gov.va.cpss.model.bal;

import java.util.Date;

import gov.va.cpss.model.CBSSAuditDates;
import gov.va.cpss.model.ProcessStatus;

/**
 * Account balance message
 */
public class PatAcntBalMsg implements CBSSAuditDates {

	// identifier
	private long id;
	
	private long totNumPatient;
	// file name
	private String fileName;

	// reference batch job run id.
	private long batchRunId;

	// message status
	private ProcessStatus status;
	
	private String createdBy;
	
	private Date createdDate;
	
	private String modifiedBy;
	
	private Date modifiedDate;
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return "PatAcntBalMsg [id=" + id + ", fileName=" + fileName + ", batchRunId=" + batchRunId + ", status="
				+ status + ", createdBy=" + createdBy + ", createdDate=" + createdDate + ", modifiedBy=" + modifiedBy
				+ ", modifiedDate=" + modifiedDate + ", statusId=" + statusId + "]";
	}

	private long statusId;
	
	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public long getBatchRunId() {
		return batchRunId;
	}

	public void setBatchRunId(long batchRunId) {
		this.batchRunId = batchRunId;
	}

	public ProcessStatus getStatus() {
		return status;
	}

	public void setStatus(ProcessStatus status) {
		this.status = status;
	}

	/**
	 * @return the createdBy
	 */
	public String getCreatedBy() {
		return createdBy;
	}

	/**
	 * @param createdBy the createdBy to set
	 */
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	/**
	 * @return the createdDate
	 */
	public Date getCreatedDate() {
		return createdDate;
	}

	/**
	 * @param createdDate the createdDate to set
	 */
	public void setCreatedDate(Date createdDate) {
		this.createdDate = createdDate;
	}

	/**
	 * @return the modifiedBy
	 */
	public String getModifiedBy() {
		return modifiedBy;
	}

	/**
	 * @param modifiedBy the modifiedBy to set
	 */
	public void setModifiedBy(String modifiedBy) {
		this.modifiedBy = modifiedBy;
	}

	/**
	 * @return the modifiedDate
	 */
	public Date getModifiedDate() {
		return modifiedDate;
	}

	/**
	 * @param modifiedDate the modifiedDate to set
	 */
	public void setModifiedDate(Date modifiedDate) {
		this.modifiedDate = modifiedDate;
	}

	/**
	 * @return the statusId
	 */
	public long getStatusId() {
		return statusId;
	}

	/**
	 * @param statusId the statusId to set
	 */
	public void setStatusId(long statusId) {
		this.statusId = statusId;
	}

	/**
	 * @return the totNumPatient
	 */
	public long getTotNumPatient() {
		return totNumPatient;
	}

	/**
	 * @param totNumPatient the totNumPatient to set
	 */
	public void setTotNumPatient(long totNumPatient) {
		this.totNumPatient = totNumPatient;
	}

	

}
