package gov.va.cpss.service;

/**
 * The Result returned from service call.
 * It contains: a boolean that tells the service call is successful or not;
 *              a message that tells if something is wrong; and
 *              a results array.
 * 
 * (Sprint 2 - Story 325577 Update ICNs / Task 325578 Business service implementation to update ICN across CBSS.)
 * 
 * Copyright HPE / VA
 * June 6, 2016
 * 
 * @author Yiping Yao
 * @version 1.0.0
 *
 */
public class Result
{
	private boolean successful = true;
	private String message = null;
	private Object[] results = null;
	
	/**
	 * Default constructor
	 */
	public Result()
	{
		// Auto-generated constructor stub
	}
	
	public Result(boolean successful, String message, Object[] results) {
		this.successful = successful;
		this.message = message;
		this.results = results;
	}

	/**
	 * @return the successful
	 */
	public boolean isSuccessful()
	{
		return this.successful;
	}

	/**
	 * @param inSuccessful the successful to set
	 */
	public void setSuccessful(boolean inSuccessful)
	{
		this.successful = inSuccessful;
	}

	/**
	 * @return the message
	 */
	public String getMessage()
	{
		return this.message;
	}

	/**
	 * @param inMessage the message to set
	 */
	public void setMessage(String inMessage)
	{
		this.message = inMessage;
	}

	/**
	 * @return the results
	 */
	public Object[] getResults()
	{
		return this.results;
	}

	/**
	 * @param inResults the results to set
	 */
	public void setResults(Object[] inResults)
	{
		this.results = inResults;
	}

}
