<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="cbssPageTitle" value="CBSS Batch Processes" />
<c:set var="includeBatchTab" value="${true}" />
<c:set var="includeLogoutTab" value="${true}" />
<c:set var="selectedTab" value="${'Batch'}" />
<%@include file="header.jsp" %>
	<!-- Additional js libraries not included in the header. -->
	<script src="datetimepicker/js/moment.js"></script>
	<script src="datetimepicker/js/bootstrap-datetimepicker.min.js"></script>
	<script type="text/javascript" src="javascript/batch.js"></script>

	<!-- Bootstrap modals -->
	<!-- Config Dialog -->
	<div id="dialog-config" class="modal" role="dialog"></div>
	<!-- Run Dialog -->
	<div id="dialog-run" class="modal" role="dialog"></div>

	<c:if test="${pageContext.request.userPrincipal.name != null}">
		<div class="panel panel-default">
		   <div class="panel-heading" tabindex="3">
			 <h2 class="panel-title">Consolidated Billing Statement (CBS) Batch Processes:</h2>
			</div>
			<div class="panel-body">
			<table class="table table-bordered table-hover table-striped table-condensed" tabindex="4" role="grid" alt="Consolidated Billing Statement (CBS) Batch Process Table">
				<tbody>
				<c:set var="count" value="5"/>
				<tr>
				<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-1 row-Name" tabIndex="${count}">Batch Process Name</th>
					<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-2 row-Parameters" tabIndex="${count}">Parameters</th>
					<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-3 row-ScheduledTime" tabIndex="${count}">Scheduled Time</th>
					<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-5 row-Start" tabIndex="${count}">Start</th>
					<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-6 row-End" tabIndex="${count}">End</th>
					<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-7 row-Status" tabIndex="${count}">Status</th>
					<c:set var="count" value="${count + 1}"/>
					<th class="text-center row-8 row-Action" tabIndex="${count}">Action</th>
					<c:set var="count" value="${count + 1}"/>
				</tr>
				
				
				<c:forEach var="batchItem" items="${batchItemL}" varStatus="status1">
					
					<tr id="batch${batchItem.job.id}">
					<c:set var="count" value="${count + 1}"/>
						<td class="text-left bJobName" tabIndex="${count}">${batchItem.job.description}</td>
						<c:set var="count" value="${count + 1}"/>
						<td class="text-center bConfigClick"><a class="hrefConfigClick"
							id="${batchItem.job.id}"  tabIndex="${count}">Config</a></td>
						<c:set var="count" value="${count + 1}"/>
						<td class="text-center bSchedule" tabIndex="${count}">${batchItem.job.schedule}</td>
						<c:set var="count" value="${count + 1}"/>
						<td class="text-center bStart" tabIndex="${count}">${batchItem.run.serverStartDateString}</td>
						<c:set var="count" value="${count + 1}"/>
						<td class="text-center bEnd" tabIndex="${count}">${batchItem.run.serverEndDateString}</td>
						<c:set var="count" value="${count + 1}"/>
						<td class="text-center bStatusClick" ><a class="hrefStatusClick" href="${pageContext.request.contextPath}/batchStatus/${batchItem.job.id}" tabIndex="${count}" >${batchItem.run.batchStatus.jobStatusNotice}</a></td>

						<c:choose>
						
							<c:when
								test="${batchItem.run.batchStatus.jobStatus == 'RUNNING'}">
								<c:set var="count" value="${count + 1}"/>
								<td class="text-center bActionClick"><span class="disabled-link" tabIndex="${count}" >Run</span></td>
							</c:when>
							<c:otherwise>
							<c:set var="count" value="${count + 1}"/>
								<td class="text-center bActionClick"><a class="hrefActionClick"  tabIndex="${count}"
									id="${batchItem.job.id}">Run</a></td>
							</c:otherwise>
						</c:choose>
						
					</tr>
				</c:forEach>
				</tbody>
			</table>
		   </div>
		</div>
	</c:if>

<%@include file="footer.jsp" %>