<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>

<%@ page session="false"%>
<!DOCTYPE html>
<html>
<head>
<title>CBSS Batch Job</title>

</head>
<body>

	<script src="bootstrap/js/bootstrap.js"></script>
	<script src="datetimepicker/js/bootstrap-datetimepicker.min.js"></script>

	<div id="theform">
		<div class="modal-dialog">
		    <div class="modal-content">
<!-- 		      <div class="modal-header"> -->
<!-- 		      </div> -->
		      <div class="modal-body">
		      <!--  Uncomment following button for a window close 'x' in upper right of dialog -->
<!-- 		        <button type="button" class="close" data-dismiss="modal">&times;</button> -->
				<form:form id="myForm" action="batch/saveBatch" method="post" modelAttribute="batchJob" class="form-horizontal">
					<form:hidden path="id" />
					<form:hidden path="name" />
					<form:hidden path="description" />
					
					<h2 class="panel-title" style="text-align:center"><strong>Configuration</strong></h2>
					<br />
					<div class="form-group" >
						<c:forEach var="rt" items="${rts}">
						<div id="form-group${rt.id}" align="right">
							<c:if test="${rt.name != 'Specified'}">
							<span for="typeId${rt.id}" class="col-sm-3 control-label" style="padding-top:3px;">${rt.name}</span>
							<form:radiobutton path="typeId" value="${rt.id}" class="col-sm-1"/>
							</c:if>
							</div>
						</c:forEach>
					</div>
					
					<div class="form-group">
						<label for="dateTimeScheduleInput" class="col-sm-3 control-label">Time:</label>
						<div class="date form_datetime col-sm-7">
							<form:input type="text" class="form-control" path="schedule"
	 							id="dateTimeScheduleInput" placeholder="Time" disabled="${batchJob.typeId == 2}" />
	 						<form:errors path="schedule" cssClass="error" />
						</div>
					</div>
					
					<div class="form-group">
						<label for="emailAddressInput" class="col-sm-3 control-label">Email:</label>
						<div class="col-sm-7">
							<form:input type="text" class="form-control" path="email"
	 							id="emailAddressInput" placeholder="Email" />
	 						<form:errors path="email" cssClass="error" />
						</div>
					</div>
					
	 			</form:form>
	 			
		      </div>
		      
		      <div class="modal-footer">
				<div>
					<button id="dialog-config-save" type="button" class="btn btn-primary dialog-config-save" data-dismiss="modal" style="width:80px;">Save</button>
					<button type="button" class="btn btn-primary" data-dismiss="modal" style="width:80px;">Cancel</button>
				</div>
		      </div>
		    </div>
	    </div>
	</div>

</body>
</html>
