CREATE TABLE batchjob (
id NUMBER NOT NULL,
name VARCHAR(40) NOT NULL,
description VARCHAR(40) NOT NULL,
email VARCHAR(60) DEFAULT NULL,
schedule VARCHAR(40) DEFAULT NULL,
type_id NUMBER NOT NULL,
PRIMARY KEY (id)
);

CREATE TABLE batchrun (
id NUMBER NOT NULL,
job_id NUMBER NOT NULL,
startdate TIMESTAMP NOT NULL,
enddate TIMESTAMP DEFAULT NULL,
status_id NUMBER NOT NULL,
message VARCHAR(2048),
createdBy VARCHAR2(10) default 'CBSS',
createdDate DATE default sysdate,
modifiedBy VARCHAR2(10) default 'CBSS',
modifiedDate DATE default sysdate,
PRIMARY KEY (id)
);

CREATE TABLE batchstatus (
id NUMBER NOT NULL,
name VARCHAR(40) NOT NULL,
description VARCHAR(40) NOT NULL,
PRIMARY KEY (id)
);

CREATE TABLE batchtype (
id NUMBER NOT NULL,
name VARCHAR(40) NOT NULL,
description VARCHAR(40) NOT NULL,
PRIMARY KEY (id)
);

--- sample data ---
INSERT INTO batchstatus (id, name, description) VALUES (1, 'NotRunning','Not Running');
INSERT INTO batchstatus (id, name, description) VALUES (2, 'Running','Running');
INSERT INTO batchstatus (id, name, description) VALUES (3, 'Complete','Complete');
INSERT INTO batchstatus (id, name, description) VALUES (4, 'Error','Complete');

INSERT INTO batchtype (id, name, description) VALUES (1, 'Daily','Cron Schedule');
INSERT INTO batchtype (id, name, description) VALUES (2, 'Manual','Manual Run');
INSERT INTO batchtype (id, name, description) VALUES (3, 'Specified','One Time Schedule');

INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (1, 'ProcessFPSDataJob','Process FPS Data','test@va.cbss.gov','23:00:00','1');
INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (2, 'GenerateCBSJob','Generate CBS','test@va.cbss.gov','23:00:00','1');
INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (3, 'SendCBSJob','Send CBS to AITC','test@va.cbss.gov','23:00:00','1');
INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (4, 'UpdatePrintAckJob','Update Print Ack','test@va.cbss.gov','23:00:00','1');
INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (5, 'LoadBillDataJob','Load Bill Data','test@va.cbss.gov','23:00:00','1');
INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (6, 'RegisterICNJob','Register ICNs','test@va.cbss.gov','23:00:00','1');
INSERT INTO batchjob (id, name, description, email, schedule, type_id) VALUES (7, 'UpdateICNJob','Update ICNs','test@va.cbss.gov','23:00:00','1');
