CREATE TABLE PSSite (
id NUMBER NOT NULL,
psReceived_Id NUMBER NOT NULL,
seqNum NUMBER(4) NOT NULL,
totSeqNum NUMBER(4) NOT NULL,
facilityNum VARCHAR2(5) NOT NULL,
facilityPhoneNum VARCHAR2(20),
totStatement NUMBER(4) NOT NULL,
statementVal NUMBER(12,2) NOT NULL,
statementValRaw VARCHAR2(12) NOT NULL,
statementDate TIMESTAMP NOT NULL,
processDate TIMESTAMP NOT NULL,
createdBy VARCHAR2(10) default 'CBSS',
createdDate DATE default sysdate,
modifiedBy VARCHAR2(10) default 'CBSS',
modifiedDate DATE default sysdate,
PRIMARY KEY (id)
);

CREATE TABLE PSPatient (
id NUMBER NOT NULL,
psSite_Id NUMBER NOT NULL,
patientAccount VARCHAR2(19) NOT NULL,
patientLastName VARCHAR2(20) NOT NULL,
patientFirstName VARCHAR2(10) NOT NULL,
patientMiddleName VARCHAR2(10),
address1 VARCHAR2(40) NOT NULL,
address2 VARCHAR2(40),
address3 VARCHAR2(40),
city VARCHAR2(40) NOT NULL,
state VARCHAR2(2),
zipCode VARCHAR2(11),
countryName VARCHAR2(20),
amountDue NUMBER(10,2) NOT NULL,
amountDueRaw VARCHAR2(10) NOT NULL,
prevBalance NUMBER(10,2) NOT NULL,
prevBalanceRaw VARCHAR2(10) NOT NULL,
totalCharges NUMBER(10,2) NOT NULL,
totalChargesRaw VARCHAR2(10) NOT NULL,
totalCredits NUMBER(10,2) NOT NULL,
totalCreditsRaw VARCHAR2(10) NOT NULL,
newBalance NUMBER(10,2) NOT NULL,
newBalanceRaw VARCHAR2(10) NOT NULL,
specialNotes VARCHAR2(80),
specialNotesForLateSites1 VARCHAR2(40),
specialNotesForLateSites2 VARCHAR2(40),
rightsObligationParagraphCodes VARCHAR2(40),
numOfLines NUMBER(3) NOT NULL,
dfnNumber NUMBER(16) NOT NULL,
largeFontInd CHAR(1),
icnNumber VARCHAR2(17) NOT NULL,
addressFlag CHAR(1) NOT NULL,
lastBillPrepDate DATE,
createdBy VARCHAR2(10) default 'CBSS',
createdDate DATE default sysdate,
modifiedBy VARCHAR2(10) default 'CBSS',
modifiedDate DATE default sysdate,
PRIMARY KEY (id)
);

CREATE TABLE PSDetails (
id NUMBER NOT NULL,
psPatient_Id NUMBER NOT NULL,
datePosted DATE,
transDesc VARCHAR2(50),
transAmount NUMBER(10,2),
transAmountRaw VARCHAR2(10),
referenceNum VARCHAR2(13),
icnNumber VARCHAR2(17),
seqNum NUMBER,
createdBy VARCHAR2(10) default 'CBSS',
createdDate DATE default sysdate,
modifiedBy VARCHAR2(10) default 'CBSS',
modifiedDate DATE default sysdate,
PRIMARY KEY (id)
);

CREATE TABLE PSStatus (
id NUMBER NOT NULL,
name VARCHAR2(40) NOT NULL,
description VARCHAR2(200) NOT NULL,
PRIMARY KEY (id)
);

CREATE TABLE PSReceived (
id NUMBER NOT NULL,
numOfSite NUMBER NOT NULL,
numOfStatement NUMBER NOT NULL,
dateReceived TIMESTAMP NOT NULL,
status_Id NUMBER NOT NULL,
fileName VARCHAR2(50) NOT NULL,
batchRun_id NUMBER,
createdBy VARCHAR2(10) default 'CBSS',
createdDate DATE default sysdate,
modifiedBy VARCHAR2(10) default 'CBSS',
modifiedDate DATE default sysdate,
PRIMARY KEY (id)
);

INSERT INTO PSStatus (id, name, description) VALUES (1, 'INITIAL', 'Start Loading Data');
INSERT INTO PSStatus (id, name, description) VALUES (2, 'NEW', 'New Statement');
INSERT INTO PSStatus (id, name, description) VALUES (3, 'PROCESSED', 'Processed Statement');
INSERT INTO PSStatus (id, name, description) VALUES (4, 'ERROR', 'Error');

